EUCA-DESCRIBE-SNAPSHOTS(1)

NAME
euca-describe-snapshots - Show information about snapshots

SYNOPSIS
euca-describe-snapshots [-a] [-o ACCOUNT] [-r ACCOUNT]

[--show-empty-fields] [-U URL]
    [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--filter NAME=VALUE] [--debug] [--debugger] [--version] [-h] [SNAPSHOT [SNAPSHOT ...]]

DESCRIPTION
Show information about snapshots

DESCRIPTION
By default, only snapshots your account owns and snapshots for which your account has explicit restore permissions are shown.

  positional arguments:

SNAPSHOT
    limit results to specific snapshots

  optional arguments:

-a, --all
    describe all snapshots

-o ACCOUNT, --owner ACCOUNT
    limit results to snapshots owned by specific accounts

-r ACCOUNT, --restorable-by ACCOUNT
    limit results to snapahots restorable by specific accounts

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--filter NAME=VALUE
    restrict results to those that meet criteria

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit

  allowed filter names:

description
    snapshot description

owner-alias
    snapshot owner's account alias

owner-id
    snapshot owner's account ID

progress
    snapshot progress, in percentage snapshot-id start-time snapshot initiation time status tag-key key of a tag assigned to the snapshot tag-value value of a tag assigned to the snapshot tag:KEY specific tag key/value combination volume-id source volume ID volume-size